Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRChartAxis

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Implementing Classes:
  JRBaseChartAxis, JRDesignChartAxis, JRFillChartAxis

    public interface JRChartAxis

extends JRCloneable

Describes an axis that can be added to a multiple axis chart. The name "axis" is a bit of a misnomer, as it really contains information about a new dataset to plot, the axis to plot it against, and how to render that dataset.

Version:
  $Id: JRChartAxis.java 3582 2010-03-12 10:28:51Z shertage $
Author:
  Barry Klawans (barry@users.sourceforge.net)

Field Summary
`static byte` | `POSITION_LEFT_OR_TOP` Deprecated. Replaced by `AxisPositionEnum.LEFT_OR_TOP`
`static byte` | `POSITION_RIGHT_OR_BOTTOM` Deprecated. Replaced by `AxisPositionEnum.LEFT_OR_TOP`

Method Summary
`JRChart` | `getChart()` Returns the chart that contains the dataset and plot to use for this axis.
`byte` | `getPosition()` Deprecated. Replaced by `getPositionValue()`
`java.lang.Byte` | `getPositionByte()` Deprecated. Replaced by `getPositionValue()`
`AxisPositionEnum` | `getPositionValue()` Gets the position of this axis.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### POSITION_LEFT_OR_TOP

    static final byte POSITION_LEFT_OR_TOP

  Deprecated. Replaced by `AxisPositionEnum.LEFT_OR_TOP`
  See Also:
    Constant Field Values

### POSITION_RIGHT_OR_BOTTOM

    static final byte POSITION_RIGHT_OR_BOTTOM

  Deprecated. Replaced by `AxisPositionEnum.LEFT_OR_TOP`
  See Also:
    Constant Field Values

Method Detail

### getPosition

    byte getPosition()

  Deprecated. Replaced by `getPositionValue()`

### getPositionByte

    java.lang.Byte getPositionByte()

  Deprecated. Replaced by `getPositionValue()`

### getPositionValue

    AxisPositionEnum getPositionValue()

  Gets the position of this axis.

  Returns:
    the position of this axis

### getChart

    JRChart getChart()

  Returns the chart that contains the dataset and plot to use for this axis. The plot is used to figure out how to render the dataset when adding to the multiple axis chart.

  Returns:
    the chart that contains the dataset and plot for this axis

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com